## golang-github-aws-smithy-go 1.13.3

=== Makefile ===
PRE_RELEASE_VERSION ?=

RELEASE_MANIFEST_FILE ?=
RELEASE_CHGLOG_DESC_FILE ?=

REPOTOOLS_VERSION ?= latest
REPOTOOLS_MODULE = github.com/awslabs/aws-go-multi-module-repository-tools
REPOTOOLS_CMD_CALCULATE_RELEASE = ${REPOTOOLS_MODULE}/cmd/calculaterelease@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_CALCULATE_RELEASE_ADDITIONAL_ARGS ?=
REPOTOOLS_CMD_UPDATE_REQUIRES = ${REPOTOOLS_MODULE}/cmd/updaterequires@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_UPDATE_MODULE_METADATA = ${REPOTOOLS_MODULE}/cmd/updatemodulemeta@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_GENERATE_CHANGELOG = ${REPOTOOLS_MODULE}/cmd/generatechangelog@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_CHANGELOG = ${REPOTOOLS_MODULE}/cmd/changelog@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_TAG_RELEASE = ${REPOTOOLS_MODULE}/cmd/tagrelease@${REPOTOOLS_VERSION}
REPOTOOLS_CMD_MODULE_VERSION = ${REPOTOOLS_MODULE}/cmd/moduleversion@${REPOTOOLS_VERSION}

ifneq ($(PRE_RELEASE_VERSION),)
	REPOTOOLS_CMD_CALCULATE_RELEASE_ADDITIONAL_ARGS += -preview=${PRE_RELEASE_VERSION}
endif

smithy-publish-local:
	cd codegen && ./gradlew publishToMavenLocal

smithy-build:
	cd codegen && ./gradlew build

smithy-clean:
	cd codegen && ./gradlew clean

#####################
#  Release Process  #
#####################
.PHONY: preview-release pre-release-validation release

preview-release:
	go run ${REPOTOOLS_CMD_CALCULATE_RELEASE} ${REPOTOOLS_CMD_CALCULATE_RELEASE_ADDITIONAL_ARGS}

pre-release-validation:
	@if [[ -z "${RELEASE_MANIFEST_FILE}" ]]; then \
		echo "RELEASE_MANIFEST_FILE is required to specify the file to write the release manifest" && false; \
	fi
	@if [[ -z "${RELEASE_CHGLOG_DESC_FILE}" ]]; then \
		echo "RELEASE_CHGLOG_DESC_FILE is required to specify the file to write the release notes" && false; \
	fi

release: pre-release-validation
	go run ${REPOTOOLS_CMD_CALCULATE_RELEASE} -o ${RELEASE_MANIFEST_FILE} ${REPOTOOLS_CMD_CALCULATE_RELEASE_ADDITIONAL_ARGS}
	go run ${REPOTOOLS_CMD_UPDATE_REQUIRES} -release ${RELEASE_MANIFEST_FILE}
	go run ${REPOTOOLS_CMD_UPDATE_MODULE_METADATA} -release ${RELEASE_MANIFEST_FILE}
	go run ${REPOTOOLS_CMD_GENERATE_CHANGELOG} -release ${RELEASE_MANIFEST_FILE} -o ${RELEASE_CHGLOG_DESC_FILE}
	go run ${REPOTOOLS_CMD_CHANGELOG} rm -all
	go run ${REPOTOOLS_CMD_TAG_RELEASE} -release ${RELEASE_MANIFEST_FILE}

module-version:
	@go run ${REPOTOOLS_CMD_MODULE_VERSION} .

##############
# Repo Tools #
##############
.PHONY: install-changelog

install-changelog:
	go install ${REPOTOOLS_MODULE}/cmd/changelog@${REPOTOOLS_VERSION}

=== debian/changelog ===
golang-github-aws-smithy-go (1.13.3-2) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * Source-only re-upload for testing migration

  [ Debian Janitor ]
  * Add Multi-Arch: foreign

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 31 Jan 2023 23:02:59 +0000

golang-github-aws-smithy-go (1.13.3-1) unstable; urgency=medium

  * Initial packaging (Closes: #1022852).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 12:07:01 +0200

=== debian/control ===
Source: golang-github-aws-smithy-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-golang,
 golang-any,
 golang-github-google-go-cmp-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go.git
Homepage: https://github.com/aws/smithy-go
XS-Go-Import-Path: github.com/aws/smithy-go

Package: golang-github-aws-smithy-go-dev
Architecture: all
Depends:
 golang-github-google-go-cmp-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Smithy code generators for Go (library)
 This package provides Smithy code generator for go.
 .
 Smithy is a language for defining services and SDKs. It is designed to work
 with any programming language, describe services running in any environment,
 and work with any kind of transport or serialization format. It is extended
 through traits. Its models are defined by resources and operations.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/aws/smithy-go

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-aws-smithy-go 1.19.0

=== debian/changelog ===
golang-github-aws-smithy-go (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0
  * Add debian/watch
  * Reorder fields in debian/control and debian/copyright
  * Change Section from devel to golang
  * Bump debhelper build-dependency to debhelper-compat (= 13)"
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Drop -dev package’s unused dependency on ${shlibs:Depends}
  * Add "Rules-Requires-Root: no" to debian/control
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Invoke dh with --builddirectory=_build
  * Add myself to the list of Uploaders
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance

 -- Anthony Fok <foka@debian.org>  Fri, 23 Feb 2024 15:00:40 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: golang-github-aws-smithy-go
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
-Section: devel
+ Anthony Fok <foka@debian.org>,
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-golang,
+ golang-any (>= 2:1.19~),
+ golang-github-google-go-cmp-dev (>= 0.5.8),
 Testsuite: autopkgtest-pkg-go
-Priority: optional
-Build-Depends:
- debhelper (>= 10),
- dh-golang,
- golang-any,
- golang-github-google-go-cmp-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go.git
 Homepage: https://github.com/aws/smithy-go
@@ -18,11 +20,10 @@
 
 Package: golang-github-aws-smithy-go-dev
 Architecture: all
+Multi-Arch: foreign
 Depends:
- golang-github-google-go-cmp-dev,
+ golang-github-google-go-cmp-dev (>= 0.5.8),
  ${misc:Depends},
- ${shlibs:Depends},
-Multi-Arch: foreign
 Description: Smithy code generators for Go (library)
  This package provides Smithy code generator for go.
  .

## golang-github-aws-smithy-go 1.20.2

=== debian/changelog ===
golang-github-aws-smithy-go (1.20.2-2) unstable; urgency=medium

  * Cast numbers in "uint oob" test error messages to avoid overflows.
    Fixes "cannot use maxv + 1 (untyped int constant 2147483648)
    as int value in argument to fmt.Sprintf (overflows)" in TestAsInt32
    and "cannot use maxv + 1 (untyped int constant 18014398509481985)
    as int value in argument to fmt.Sprintf (overflows)" in TestAsFloat64
    on 32-bit architectures.
    See https://github.com/aws/smithy-go/pull/514

 -- Anthony Fok <foka@debian.org>  Sat, 01 Jun 2024 07:44:03 -0600

golang-github-aws-smithy-go (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
  * Bump build-dependency golang-any (>= 2:1.20~) as per go.mod
  * Remove dependency on golang-github-google-go-cmp-dev as per go.mod
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 05:30:52 -0600

## golang-github-aws-smithy-go 1.20.3

=== debian/changelog ===
golang-github-aws-smithy-go (1.20.3-1) unstable; urgency=medium

  * New upstream version 1.20.3
  * Remove prevent-overflows-in-uint-oob-test-error-messages-on-32-bit.patch
    which has been applied upstream

 -- Anthony Fok <foka@debian.org>  Sun, 01 Sep 2024 06:03:17 -0600

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any (>= 2:1.19~),
- golang-github-google-go-cmp-dev (>= 0.5.8),
+ golang-any (>= 2:1.20~),
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go.git
 Homepage: https://github.com/aws/smithy-go
@@ -22,7 +21,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- golang-github-google-go-cmp-dev (>= 0.5.8),
  ${misc:Depends},
 Description: Smithy code generators for Go (library)
  This package provides Smithy code generator for go.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/aws/smithy-go

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/aws/smithy-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-aws-smithy-go 1.23.2

=== debian/changelog ===
golang-github-aws-smithy-go (1.23.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.2
  * Add new dependency golang-opentelemetry-otel-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 08 Jan 2026 21:56:18 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any (>= 2:1.20~),
+ golang-opentelemetry-otel-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go
@@ -21,6 +22,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ golang-opentelemetry-otel-dev,
  ${misc:Depends},
 Description: Smithy code generators for Go (library)
  This package provides Smithy code generator for go.
